#!/bin/sh

echo "Please wait... (~10s)"

#####select which services to (re)start#####
if [ "$1" = "" ]; then
  subset="rhl"
else
  subset="$1"
fi

######try to restore logs from ftp server#####
if [ "$(echo "$subset" | grep "r")" != "" ]; then
  if [ "$(ls ./data)" = "" ] || [ "$(ls ./data)" = "config" ]; then
    ./backup.sh r
  fi
fi

#####start webserver####
if [ "$(echo "$subset" | grep "h")" != "" ]; then
  #####get mini_httpd port#####
  if [ -f "./data/config" ]; then
    mhport=$(cat "./data/config"|grep "wrt_mhport"|cut -d '=' -f2)
  fi
  if [ "$mhport" = "" ]; then
    mhport="8000"
  fi
                                
  ./stop.sh 1h
  ./mini_httpd -p "$mhport" -c "*.cgi" -u root -i ./data/httpd.pid 2> /dev/null &
fi

#####start loop to keep processes running#####
if [ "$(echo "$subset" | grep "l")" != "" ]; then
  ./stop.sh 1l
  ./wrtloop.sh 2> /dev/null &
fi
